package com.ruoyi.system.domain.task;

import java.io.Serializable;
import java.util.Date;

public class TkCommonTaskDynamic implements Serializable {
    private String id;

    /**
     * 日常任务id
     *
     * @mbg.generated
     */
    private String commonTkId;

    /**
     * 地址
     *
     * @mbg.generated
     */
    private String address;

    /**
     * 姓名
     *
     * @mbg.generated
     */
    private String name;

    /**
     * 备注
     *
     * @mbg.generated
     */
    private String note;

    /**
     * 任务时间
     *
     * @mbg.generated
     */
    private Date tkTime;

    private Date createTime;

    private String createBy;

    private Date updateTime;

    private String updateBy;

    /**
     * 退回原因
     *
     * @mbg.generated
     */
    private String returnReason;

    /**
     * 催办原因
     *
     * @mbg.generated
     */
    private String cuibanReason;

    private String hechaReason;

    /**
     * 理由
     *
     * @mbg.generated
     */
    private String reason;

    private Integer type;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCommonTkId() {
        return commonTkId;
    }

    public void setCommonTkId(String commonTkId) {
        this.commonTkId = commonTkId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Date getTkTime() {
        return tkTime;
    }

    public void setTkTime(Date tkTime) {
        this.tkTime = tkTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getReturnReason() {
        return returnReason;
    }

    public void setReturnReason(String returnReason) {
        this.returnReason = returnReason;
    }

    public String getCuibanReason() {
        return cuibanReason;
    }

    public void setCuibanReason(String cuibanReason) {
        this.cuibanReason = cuibanReason;
    }

    public String getHechaReason() {
        return hechaReason;
    }

    public void setHechaReason(String hechaReason) {
        this.hechaReason = hechaReason;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", commonTkId=").append(commonTkId);
        sb.append(", address=").append(address);
        sb.append(", name=").append(name);
        sb.append(", note=").append(note);
        sb.append(", tkTime=").append(tkTime);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", returnReason=").append(returnReason);
        sb.append(", cuibanReason=").append(cuibanReason);
        sb.append(", hechaReason=").append(hechaReason);
        sb.append(", reason=").append(reason);
        sb.append(", type=").append(type);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TkCommonTaskDynamic other = (TkCommonTaskDynamic) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCommonTkId() == null ? other.getCommonTkId() == null : this.getCommonTkId().equals(other.getCommonTkId()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()))
            && (this.getTkTime() == null ? other.getTkTime() == null : this.getTkTime().equals(other.getTkTime()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getReturnReason() == null ? other.getReturnReason() == null : this.getReturnReason().equals(other.getReturnReason()))
            && (this.getCuibanReason() == null ? other.getCuibanReason() == null : this.getCuibanReason().equals(other.getCuibanReason()))
            && (this.getHechaReason() == null ? other.getHechaReason() == null : this.getHechaReason().equals(other.getHechaReason()))
            && (this.getReason() == null ? other.getReason() == null : this.getReason().equals(other.getReason()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCommonTkId() == null) ? 0 : getCommonTkId().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        result = prime * result + ((getTkTime() == null) ? 0 : getTkTime().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getReturnReason() == null) ? 0 : getReturnReason().hashCode());
        result = prime * result + ((getCuibanReason() == null) ? 0 : getCuibanReason().hashCode());
        result = prime * result + ((getHechaReason() == null) ? 0 : getHechaReason().hashCode());
        result = prime * result + ((getReason() == null) ? 0 : getReason().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        return result;
    }
}